<?php
/**
 * Deprecated notice: This class is deprecated as of version 4.5.0. Kkart API is now part of core and not packaged seperately.
 *
 * Returns information about the package and handles init.
 *
 * @package Kkart\RestApi
 */

namespace Automattic\Kkart\RestApi;

defined( 'ABSPATH' ) || exit;

/**
 * Main package class.
 *
 * @deprecated Use \Automattic\Kkart\RestApi\Server directly.
 */
class Package {

	/**
	 * Version.
	 *
	 * @deprecated since 4.5.0. This tracks Kkart version now.
	 * @var string
	 */
	const VERSION = KKART_VERSION;

	/**
	 * Init the package - load the REST API Server class.
	 *
	 * @deprecated since 4.5.0. Directly call Automattic\Kkart\RestApi\Server::instance()->init()
	 */
	public static function init() {
		kkart_deprecated_function( 'Automattic\Kkart\RestApi\Server::instance()->init()', '4.5.0' );
		\Automattic\Kkart\RestApi\Server::instance()->init();
	}

	/**
	 * Return the version of the package.
	 *
	 * @deprecated since 4.5.0. This tracks Kkart version now.
	 * @return string
	 */
	public static function get_version() {
		kkart_deprecated_function( 'KKART()->version', '4.5.0' );
		return KKART()->version;
	}

	/**
	 * Return the path to the package.
	 *
	 * @deprecated since 4.5.0. Directly call Automattic\Kkart\RestApi\Server::get_path()
	 * @return string
	 */
	public static function get_path() {
		kkart_deprecated_function( 'Automattic\Kkart\RestApi\Server::get_path()', '4.5.0' );
		return \Automattic\Kkart\RestApi\Server::get_path();
	}
}
